Last Comment Bug 755174 - spdysession::readsegments may not set reader without transaction
: spdysession::readsegments may not set reader without transaction
Status: RESOLVED FIXED
[spdy]
:
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: unspecified
: x86_64 Windows 7
: -- minor (vote)
: mozilla15
Assigned To: Patrick McManus [:mcmanus]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-14 20:40 PDT by Patrick McManus [:mcmanus]
Modified: 2012-05-16 19:46 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch 0 (1.98 KB, patch)
2012-05-14 20:43 PDT, Patrick McManus [:mcmanus]
honzab.moz: review+
Details | Diff | Review

Description Patrick McManus [:mcmanus] 2012-05-14 20:40:36 PDT
mSegmentReader is not set from the passed in argument in spdysession::readsegments if no corresponding stream is found. however it is still possible that data should go out to the network by flushing the output queue. a SETTINGS frame or a PING frame (as I discovered by reading logs) are examples of this. They will eventually go out when a transaction is placed on this session but particular in the case of a time sensitive item like PING should not wait.

(there might not be a transaction in the case of a nullhttptransaction, or a canceled transaction).

I can't think of anything this would actually harm. In the case of PING it might result in an unused connection being closed at a different time than expected but not in a (afaict) bad way.
Comment 1 Patrick McManus [:mcmanus] 2012-05-14 20:43:25 PDT
Created attachment 623928 [details] [diff] [review]
patch 0
Comment 2 Honza Bambas (:mayhemer) 2012-05-15 13:25:04 PDT
Comment on attachment 623928 [details] [diff] [review]
patch 0

Review of attachment 623928 [details] [diff] [review]:
-----------------------------------------------------------------

r=honzab
Comment 3 Patrick McManus [:mcmanus] 2012-05-16 06:29:56 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/47512e66a12e
Comment 4 Ryan VanderMeulen [:RyanVM] 2012-05-16 19:46:30 PDT
https://hg.mozilla.org/mozilla-central/rev/47512e66a12e

Note You need to log in before you can comment on or make changes to this bug.